# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{kafo}
  s.version = "0.9.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Marek Hulan"]
  s.date = %q{2016-06-07}
  s.description = %q{A gem for making installations based on puppet user friendly}
  s.email = ["ares@igloonet.cz"]
  s.executables = ["kafo-configure", "kafo-export-params", "kafofy"]
  s.files = ["LICENSE.txt", "README.md", "Rakefile", "bin/kafo-configure", "bin/kafo-export-params", "bin/kafofy", "config/config_header.txt", "config/kafo.yaml.example", "lib/kafo.rb", "lib/kafo/color_scheme.rb", "lib/kafo/condition.rb", "lib/kafo/configuration.rb", "lib/kafo/exceptions.rb", "lib/kafo/exit_handler.rb", "lib/kafo/help_builder.rb", "lib/kafo/help_builders/advanced.rb", "lib/kafo/help_builders/base.rb", "lib/kafo/help_builders/basic.rb", "lib/kafo/hiera_configurer.rb", "lib/kafo/hook_context.rb", "lib/kafo/hooking.rb", "lib/kafo/kafo_configure.rb", "lib/kafo/logger.rb", "lib/kafo/migration_context.rb", "lib/kafo/migrations.rb", "lib/kafo/param.rb", "lib/kafo/param_builder.rb", "lib/kafo/param_group.rb", "lib/kafo/params/array.rb", "lib/kafo/params/boolean.rb", "lib/kafo/params/hash.rb", "lib/kafo/params/integer.rb", "lib/kafo/params/password.rb", "lib/kafo/params/string.rb", "lib/kafo/parser_cache_reader.rb", "lib/kafo/parser_cache_writer.rb", "lib/kafo/password_manager.rb", "lib/kafo/progress_bar.rb", "lib/kafo/progress_bars/black_white.rb", "lib/kafo/progress_bars/colored.rb", "lib/kafo/puppet_command.rb", "lib/kafo/puppet_module.rb", "lib/kafo/scenario_manager.rb", "lib/kafo/string_helper.rb", "lib/kafo/system_checker.rb", "lib/kafo/validator.rb", "lib/kafo/version.rb", "lib/kafo/wizard.rb", "modules/kafo_configure/lib/kafo/puppet/report_wrapper.rb", "modules/kafo_configure/lib/puppet/parser/functions/add_progress.rb", "modules/kafo_configure/lib/puppet/parser/functions/decrypt.rb", "modules/kafo_configure/lib/puppet/parser/functions/dump_values.rb", "modules/kafo_configure/lib/puppet/parser/functions/load_kafo_password.rb", "modules/kafo_configure/manifests/init.pp"]
  s.homepage = %q{https://github.com/theforeman/kafo}
  s.licenses = ["GPLv3+"]
  s.require_paths = ["lib"]
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{If you write puppet modules for installing your software, you can use kafo to create powerful installer}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<bundler>, ["~> 1.3"])
      s.add_development_dependency(%q<rake>, ["< 11.0.0"])
      s.add_development_dependency(%q<minitest>, ["~> 4.0"])
      s.add_development_dependency(%q<simplecov>, ["< 0.9"])
      s.add_development_dependency(%q<ci_reporter>, ["~> 1.9.0"])
      s.add_runtime_dependency(%q<kafo_wizards>, [">= 0"])
      s.add_runtime_dependency(%q<ansi>, [">= 0"])
      s.add_runtime_dependency(%q<kafo_parsers>, [">= 0.1.1"])
      s.add_development_dependency(%q<puppet>, ["< 4.0.0"])
      s.add_runtime_dependency(%q<logging>, ["< 3.0.0"])
      s.add_runtime_dependency(%q<clamp>, [">= 0.6.2"])
      s.add_runtime_dependency(%q<highline>, [">= 1.6.21", "< 2.0"])
      s.add_runtime_dependency(%q<powerbar>, [">= 0"])
    else
      s.add_dependency(%q<bundler>, ["~> 1.3"])
      s.add_dependency(%q<rake>, ["< 11.0.0"])
      s.add_dependency(%q<minitest>, ["~> 4.0"])
      s.add_dependency(%q<simplecov>, ["< 0.9"])
      s.add_dependency(%q<ci_reporter>, ["~> 1.9.0"])
      s.add_dependency(%q<kafo_wizards>, [">= 0"])
      s.add_dependency(%q<ansi>, [">= 0"])
      s.add_dependency(%q<kafo_parsers>, [">= 0.1.1"])
      s.add_dependency(%q<logging>, ["< 3.0.0"])
      s.add_dependency(%q<clamp>, [">= 0.6.2"])
      s.add_dependency(%q<highline>, [">= 1.6.21", "< 2.0"])
      s.add_dependency(%q<powerbar>, [">= 0"])
    end
  else
    s.add_dependency(%q<bundler>, ["~> 1.3"])
    s.add_dependency(%q<rake>, ["< 11.0.0"])
    s.add_dependency(%q<minitest>, ["~> 4.0"])
    s.add_dependency(%q<simplecov>, ["< 0.9"])
    s.add_dependency(%q<ci_reporter>, ["~> 1.9.0"])
    s.add_dependency(%q<kafo_wizards>, [">= 0"])
    s.add_dependency(%q<ansi>, [">= 0"])
    s.add_dependency(%q<kafo_parsers>, [">= 0.1.1"])
    s.add_dependency(%q<logging>, ["< 3.0.0"])
    s.add_dependency(%q<clamp>, [">= 0.6.2"])
    s.add_dependency(%q<highline>, [">= 1.6.21", "< 2.0"])
    s.add_dependency(%q<powerbar>, [">= 0"])
  end
end
